Subject: Re: linux-next: manual merge of the nand tree with the drivers-memory tree

From: Roger Quadros <[email-masked]>
Date: Thu, 23 Dec 2021 23:55:55 +0200

On 23/12/2021 23:17, Krzysztof Kozlowski wrote:
> On 23/12/2021 00:47, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the nand tree got a conflict in:
>>
>>   drivers/mtd/nand/raw/omap2.c
>>
>> between commit:
>>
>>   f2f8115fe8b3 ("memory: omap-gpmc: Use a compatible match table when checking for NAND controller")
>>
>> from the drivers-memory tree and commit:
>>
>>   0137c74ad873 ("mtd: rawnand: omap2: Add compatible for AM64 SoC")
>>
>> from the nand tree.
>>
>> I fixed it up (I used the former version and added the following patch)
>> and can carry the fix as necessary. This is now fixed as far as linux-next
>> is concerned, but any non trivial conflicts should be mentioned to your
>> upstream maintainer when your tree is submitted for merging.  You may
>> also want to consider cooperating with the maintainer of the conflicting
>> tree to minimise any particularly complex conflicts.
>>
> 
> Thanks Stephen, the fix looks correct.
> 
> Roger,
> It seems you sent two separate patches touching exactly the same files
> recently for two different trees. One for memory controllers moving the
> NAND ids and second for MTD tree with adding new compatible.
> Please don't, instead second should base on the other and these should
> go via one tree. This is a non-trivial conflict which could be avoided.

Thanks Stephen and Krzysztof.

Sorry for the trouble. I will be more careful next time.

cheers,
-roger